Use lazy version resolution for EMF Compare, as we're using a nightly
repository

Change-Id: Id23538814d44519e2e3dbe88bb125c9b76875a0f
Signed-off-by: Camille Letavernier <cletavernier@eclipsesource.com>
diff --git a/plugins/compare/targetplatforms/compare-release-base.target b/plugins/compare/targetplatforms/compare-release-base.target
index fc426ee..2488c8a 100644
--- a/plugins/compare/targetplatforms/compare-release-base.target
+++ b/plugins/compare/targetplatforms/compare-release-base.target
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <?pde?>
 <!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
-<target name="Compare Target Platform - Base for Release" sequenceNumber="1509457260">
+<target name="Compare Target Platform - Base for Release" sequenceNumber="1509611061">
   <locations>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
       <unit id="org.eclipse.platform.feature.group" version="4.7.1.v20171009-0410"/>
@@ -29,29 +29,29 @@
       <repository id="egit" location="http://download.eclipse.org/egit/updates"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.eclipse.emf.compare.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.egit.feature.group" version="1.2.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="3.3.1.201707041528"/>
+      <unit id="org.eclipse.emf.compare.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.egit.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="0.0.0"/>
       <repository id="emfCompare" location="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.apache.commons.io" version="0.0.0"/>
-      <unit id="org.apache.commons.io.source" version="0.0.0"/>
-      <unit id="com.google.inject" version="0.0.0"/>
+      <unit id="org.apache.commons.io" version="2.2.0.v201405211200"/>
+      <unit id="org.apache.commons.io.source" version="2.2.0.v201405211200"/>
+      <unit id="com.google.inject" version="3.0.0.v201605172100"/>
       <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
       <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>
-      <unit id="javaewah" version="0.0.0"/>
-      <unit id="org.apache.commons.compress" version="0.0.0"/>
-      <unit id="org.apache.commons.lang" version="0.0.0"/>
-      <unit id="org.kohsuke.args4j" version="0.0.0"/>
+      <unit id="javaewah" version="1.1.6.v20160919-1400"/>
+      <unit id="org.apache.commons.compress" version="1.6.0.v201310281400"/>
+      <unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
+      <unit id="org.kohsuke.args4j" version="2.33.0.v20160323-2218"/>
       <unit id="org.mockito" version="1.9.5.v201605172210"/>
-      <unit id="org.hamcrest" version="0.0.0"/>
-      <unit id="org.hamcrest.library" version="0.0.0"/>
-      <unit id="org.hamcrest.integration" version="0.0.0"/>
-      <unit id="org.hamcrest.text" version="0.0.0"/>
+      <unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
+      <unit id="org.hamcrest.library" version="1.3.0.v201505072020"/>
+      <unit id="org.hamcrest.integration" version="1.3.0.v201305210900"/>
+      <unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
       <unit id="org.objenesis" version="1.0.0.v201505121915"/>
       <repository id="orbit" location="http://download.eclipse.org/tools/orbit/downloads/drops/R20170307180635/repository"/>
     </location>
diff --git a/plugins/compare/targetplatforms/compare-release-base.tpd b/plugins/compare/targetplatforms/compare-release-base.tpd
index 539928d..584b085 100755
--- a/plugins/compare/targetplatforms/compare-release-base.tpd
+++ b/plugins/compare/targetplatforms/compare-release-base.tpd
@@ -30,12 +30,12 @@
 }
 
 location "http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/" emfCompare {
-	org.eclipse.emf.compare.source.feature.group
-	org.eclipse.emf.compare.diagram.gmf.source.feature.group
-	org.eclipse.emf.compare.uml2.feature.group 
-	org.eclipse.emf.compare.egit.feature.group 
-	org.eclipse.emf.compare.ide.ui.feature.group
-	org.eclipse.emf.compare.rcp.ui.feature.group
+	org.eclipse.emf.compare.source.feature.group lazy
+	org.eclipse.emf.compare.diagram.gmf.source.feature.group lazy
+	org.eclipse.emf.compare.uml2.feature.group lazy
+	org.eclipse.emf.compare.egit.feature.group lazy
+	org.eclipse.emf.compare.ide.ui.feature.group lazy
+	org.eclipse.emf.compare.rcp.ui.feature.group lazy
 }
 
 //manualUpdate
diff --git a/plugins/compare/targetplatforms/compare-release.target b/plugins/compare/targetplatforms/compare-release.target
index 3fa9c15..6397083 100644
--- a/plugins/compare/targetplatforms/compare-release.target
+++ b/plugins/compare/targetplatforms/compare-release.target
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <?pde?>
 <!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
-<target name="Compare Target Platform - Release" sequenceNumber="1509457257">
+<target name="Compare Target Platform - Release" sequenceNumber="1509611060">
   <locations>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
       <unit id="org.eclipse.platform.feature.group" version="4.7.1.v20171009-0410"/>
@@ -29,29 +29,29 @@
       <repository id="egit" location="http://download.eclipse.org/egit/updates"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.eclipse.emf.compare.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.egit.feature.group" version="1.2.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="3.3.1.201707041528"/>
+      <unit id="org.eclipse.emf.compare.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.egit.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="0.0.0"/>
       <repository id="emfCompare" location="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.apache.commons.io" version="0.0.0"/>
-      <unit id="org.apache.commons.io.source" version="0.0.0"/>
-      <unit id="com.google.inject" version="0.0.0"/>
+      <unit id="org.apache.commons.io" version="2.2.0.v201405211200"/>
+      <unit id="org.apache.commons.io.source" version="2.2.0.v201405211200"/>
+      <unit id="com.google.inject" version="3.0.0.v201605172100"/>
       <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
       <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>
-      <unit id="javaewah" version="0.0.0"/>
-      <unit id="org.apache.commons.compress" version="0.0.0"/>
-      <unit id="org.apache.commons.lang" version="0.0.0"/>
-      <unit id="org.kohsuke.args4j" version="0.0.0"/>
+      <unit id="javaewah" version="1.1.6.v20160919-1400"/>
+      <unit id="org.apache.commons.compress" version="1.6.0.v201310281400"/>
+      <unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
+      <unit id="org.kohsuke.args4j" version="2.33.0.v20160323-2218"/>
       <unit id="org.mockito" version="1.9.5.v201605172210"/>
-      <unit id="org.hamcrest" version="0.0.0"/>
-      <unit id="org.hamcrest.library" version="0.0.0"/>
-      <unit id="org.hamcrest.integration" version="0.0.0"/>
-      <unit id="org.hamcrest.text" version="0.0.0"/>
+      <unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
+      <unit id="org.hamcrest.library" version="1.3.0.v201505072020"/>
+      <unit id="org.hamcrest.integration" version="1.3.0.v201305210900"/>
+      <unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
       <unit id="org.objenesis" version="1.0.0.v201505121915"/>
       <repository id="orbit" location="http://download.eclipse.org/tools/orbit/downloads/drops/R20170307180635/repository"/>
     </location>
diff --git a/plugins/compare/targetplatforms/compare.tests-release.target b/plugins/compare/targetplatforms/compare.tests-release.target
index 5f96086..c1fed4e 100644
--- a/plugins/compare/targetplatforms/compare.tests-release.target
+++ b/plugins/compare/targetplatforms/compare.tests-release.target
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <?pde?>
 <!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
-<target name="Compare Target Platform - Release, Tests" sequenceNumber="1509457239">
+<target name="Compare Target Platform - Release, Tests" sequenceNumber="1509611060">
   <locations>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
       <unit id="org.eclipse.platform.feature.group" version="4.7.1.v20171009-0410"/>
@@ -29,20 +29,20 @@
       <repository id="egit" location="http://download.eclipse.org/egit/updates"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.apache.commons.io" version="2.0.1.v201105210651"/>
-      <unit id="org.apache.commons.io.source" version="2.0.1.v201105210651"/>
-      <unit id="com.google.inject" version="0.0.0"/>
+      <unit id="org.apache.commons.io" version="2.2.0.v201405211200"/>
+      <unit id="org.apache.commons.io.source" version="2.2.0.v201405211200"/>
+      <unit id="com.google.inject" version="3.0.0.v201605172100"/>
       <unit id="com.google.guava" version="21.0.0.v20170206-1425"/>
       <unit id="com.google.guava.source" version="21.0.0.v20170206-1425"/>
-      <unit id="javaewah" version="0.7.9.v201605172130"/>
-      <unit id="org.apache.commons.compress" version="0.0.0"/>
-      <unit id="org.apache.commons.lang" version="0.0.0"/>
-      <unit id="org.kohsuke.args4j" version="2.0.21.v201301150030"/>
+      <unit id="javaewah" version="1.1.6.v20160919-1400"/>
+      <unit id="org.apache.commons.compress" version="1.6.0.v201310281400"/>
+      <unit id="org.apache.commons.lang" version="2.6.0.v201404270220"/>
+      <unit id="org.kohsuke.args4j" version="2.33.0.v20160323-2218"/>
       <unit id="org.mockito" version="1.9.5.v201605172210"/>
-      <unit id="org.hamcrest" version="0.0.0"/>
-      <unit id="org.hamcrest.library" version="1.1.0.v20090501071000"/>
-      <unit id="org.hamcrest.integration" version="1.1.0.v201303031500"/>
-      <unit id="org.hamcrest.text" version="0.0.0"/>
+      <unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
+      <unit id="org.hamcrest.library" version="1.3.0.v201505072020"/>
+      <unit id="org.hamcrest.integration" version="1.3.0.v201305210900"/>
+      <unit id="org.hamcrest.text" version="1.1.0.v20090501071000"/>
       <unit id="org.objenesis" version="1.0.0.v201505121915"/>
       <repository id="orbit" location="http://download.eclipse.org/tools/orbit/downloads/drops/R20170307180635/repository"/>
     </location>
@@ -65,14 +65,14 @@
       <repository id="sysml" location="http://download.eclipse.org/modeling/mdt/papyrus/components/sysml14/oxygen"/>
     </location>
     <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
-      <unit id="org.eclipse.emf.compare.tests.source.feature.group" version="3.5.0.201707041528"/>
-      <unit id="org.eclipse.emf.compare.uml2.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.egit.feature.group" version="1.2.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="3.3.1.201707041528"/>
-      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="3.3.1.201707041528"/>
+      <unit id="org.eclipse.emf.compare.tests.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.uml2.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.diagram.gmf.source.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.uml2.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.egit.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.ide.ui.feature.group" version="0.0.0"/>
+      <unit id="org.eclipse.emf.compare.rcp.ui.feature.group" version="0.0.0"/>
       <repository id="emfCompare" location="http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/"/>
     </location>
   </locations>
diff --git a/plugins/compare/targetplatforms/compare.tests-release.tpd b/plugins/compare/targetplatforms/compare.tests-release.tpd
index 20a4b11..9431f38 100755
--- a/plugins/compare/targetplatforms/compare.tests-release.tpd
+++ b/plugins/compare/targetplatforms/compare.tests-release.tpd
@@ -30,6 +30,6 @@
 }
 
 location emfCompare "http://download.eclipse.org/modeling/emf/compare/updates/logical/emf.compare/integration/" {
-	org.eclipse.emf.compare.tests.source.feature.group  
-	org.eclipse.emf.compare.uml2.source.feature.group
+	org.eclipse.emf.compare.tests.source.feature.group lazy
+	org.eclipse.emf.compare.uml2.source.feature.group lazy
 }
\ No newline at end of file